/migrations/{id}/mailboxes (POST)
POST
/migrations/{id}/mailboxes
const url = 'https://example.com/api/v1/migrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/mailboxes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"mailboxes":[{"sourceAddress":"example","targetMailboxId":null,"sourcePassword":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/migrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/mailboxes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "mailboxes": [ { "sourceAddress": "example", "targetMailboxId": null, "sourcePassword": "example" } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Default Response
Media typeapplication/json
Array<object>
object
id
required
string
jobId
required
string
sourceAddress
required
string
state
required
string
progress
required
object
foldersTotal
required
integer
foldersDone
required
integer
messagesTotal
required
integer
messagesDone
required
integer
messagesSkipped
required
integer
bytesDone
required
integer
hasSecret
required
boolean
Example
[ { "state": "pending", "errorCode": "auth" }]